rte_swx_port_ethdev_writer_params(3)

NAME
rte_swx_port_ethdev_writer_params

SYNOPSIS

#include <rte_swx_port_ethdev.h>

  Data Fields

const char * dev_name
uint16_t queue_id
uint32_t burst_size

Detailed Description

Ethernet device output port (writer) creation parameters.

Definition at line 36 of file rte_swx_port_ethdev.h.

Field Documentation

  const char* dev_name
Name of a valid and fully configured Ethernet device.

Definition at line 38 of file rte_swx_port_ethdev.h.

  uint16_t queue_id
Ethernet device transmit queue ID.

Definition at line 41 of file rte_swx_port_ethdev.h.

  uint32_t burst_size
Ethernet device transmit burst size.

Definition at line 44 of file rte_swx_port_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.